Форум русскоязычного сообщества Ubuntu


Увидели сообщение с непонятной ссылкой, спам, непристойность или оскорбление?
Воспользуйтесь ссылкой «Сообщить модератору» рядом с сообщением!

Автор Тема: 2gis/linux в ubuntu 15.04  (Прочитано 1978 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн eugenez

  • Автор темы
  • Старожил
  • *
  • Сообщений: 1319
    • Просмотр профиля
2gis/linux в ubuntu 15.04
« : 23 Май 2015, 09:18:02 »
При обновлении системы до 15.04 был удалён 2gis (нативная бета для linux версии 4, имя пакета 2gis_4.15.2-0trusty1+shv280+r15_i386.deb) - конфликт версий libc6, требования пакета - => 2.19, <= 2.20, в системе - 2.21.

Как бы штука нужная, пытаюсь исправить - перепаковал пакет с изменением версии зависимости в /debian/control, пакет устанавливается, но не запускается:

$ 2gis
This application failed to start because it could not find or load the Qt platform plugin "xcb".

Available platform plugins are: linuxfb, minimal, offscreen, xcb, eglfs, kms, minimalegl.

Reinstalling the application may fix this problem.

Ок, удаляю, ставлю с игнорированием версии зависимости (dpkg -i package.deb --force-depends-version), пакет устанавливается, при запуске то же самое.

Библиотек *xcb* в ассортименте
$ wajig list xcb
ii  libx11-xcb1:i386                             2:1.6.2-2ubuntu2                               i386         Xlib/XCB interface library
ii  libxcb1:i386                                 1.10-2ubuntu1                                  i386         X C Binding
ii  libxcb-composite0:i386                       1.10-2ubuntu1                                  i386         X C Binding, composite extension
ii  libxcb-cursor0:i386                          0.1.1-3ubuntu1                                 i386         utility libraries for X C Binding -- cursor
ii  libxcb-damage0:i386                          1.10-2ubuntu1                                  i386         X C Binding, damage extension
ii  libxcb-dpms0:i386                            1.10-2ubuntu1                                  i386         X C Binding, dpms extension
ii  libxcb-dri2-0:i386                           1.10-2ubuntu1                                  i386         X C Binding, dri2 extension
ii  libxcb-dri3-0:i386                           1.10-2ubuntu1                                  i386         X C Binding, dri3 extension
ii  libxcb-glx0:i386                             1.10-2ubuntu1                                  i386         X C Binding, glx extension
ii  libxcb-icccm4:i386                           0.4.1-1ubuntu1                                 i386         utility libraries for X C Binding -- icccm
ii  libxcb-image0:i386                           0.4.0-1                                        i386         utility libraries for X C Binding -- image
ii  libxcb-keysyms1:i386                         0.4.0-1                                        i386         utility libraries for X C Binding -- keysyms
ii  libxcb-present0:i386                         1.10-2ubuntu1                                  i386         X C Binding, present extension
ii  libxcb-randr0:i386                           1.10-2ubuntu1                                  i386         X C Binding, randr extension
ii  libxcb-record0:i386                          1.10-2ubuntu1                                  i386         X C Binding, record extension
ii  libxcb-render0:i386                          1.10-2ubuntu1                                  i386         X C Binding, render extension
ii  libxcb-render-util0:i386                     0.3.9-1                                        i386         utility libraries for X C Binding -- render-util
ii  libxcb-shape0:i386                           1.10-2ubuntu1                                  i386         X C Binding, shape extension
ii  libxcb-shm0:i386                             1.10-2ubuntu1                                  i386         X C Binding, shm extension
ii  libxcb-sync1:i386                            1.10-2ubuntu1                                  i386         X C Binding, sync extension
ii  libxcb-util0:i386                            0.3.8-3                                        i386         utility libraries for X C Binding -- atom, aux and event
ii  libxcb-xfixes0:i386                          1.10-2ubuntu1                                  i386         X C Binding, xfixes extension
ii  libxcb-xkb1:i386                             1.10-2ubuntu1                                  i386         X C Binding, XKEYBOARD extension
ii  libxcb-xv0:i386                              1.10-2ubuntu1                                  i386         X C Binding, xv extension

Как грамотно завести 2gis? не думаю, что там так уж сильно принципиальна версия libc6...

Пакет для опытов берётся на http://beta.2gis.ru
Arch+KDE | Manjaro+Cinnamon | Debian+cli | Kubuntu | Endian | OPNSense | Proxmox VE

Оффлайн eugenez

  • Автор темы
  • Старожил
  • *
  • Сообщений: 1319
    • Просмотр профиля
Re: 2gis/linux в ubuntu 15.04
« Ответ #1 : 30 Май 2015, 15:43:28 »
жаль, что никто не столкнулся.

и разработчики молчат. хотя им, мне кажется, нативная linux версия в обузу, сильно запоздало обновляют в сравнении с вендой.
Arch+KDE | Manjaro+Cinnamon | Debian+cli | Kubuntu | Endian | OPNSense | Proxmox VE

Оффлайн ferty

  • Активист
  • *
  • Сообщений: 486
    • Просмотр профиля
Re: 2gis/linux в ubuntu 15.04
« Ответ #2 : 05 Июнь 2015, 11:48:17 »
Так что ребят, есть решение? Тож пользуюсь, но из-за этой библиотеки не хочет устанавливаться в пятнашке. Мож где разработчикам подсказать, что есть нужда в ней в Ubuntu 15.04. Али как?

Оффлайн maks05

  • Старожил
  • *
  • Сообщений: 6780
    • Просмотр профиля
Re: 2gis/linux в ubuntu 15.04
« Ответ #3 : 05 Июнь 2015, 12:02:35 »
ferty, написать-то разработчикам можно, но надо ли оно им? LTS- наше всё. Хорошо хоть так Linux-версию пилят, может когда определение пути и подходящего транспорта от остановки до остановки доделают. Только из-за этой функкции продолжаю держать 2GIS в Wine, Ubuntu 14.04. Ну и нативная линуксовая отлично работает. Так есть ли смысл слезать с версии с 5-тилетней поддержкой, на которую есть большинство новых версий программ через их фирменные репозитории, на версию, которая скоро перестанет поддерживаться, а программы на ней работают не все?

eugenez, ну вы же давно на сайте. Должны же понимать, что разработчикам просто лень работать, тем более, для такой малой аудитории.

Оффлайн eugenez

  • Автор темы
  • Старожил
  • *
  • Сообщений: 1319
    • Просмотр профиля
Re: 2gis/linux в ubuntu 15.04
« Ответ #4 : 05 Июнь 2015, 14:38:08 »
Я разработчикам-то написал. Ответа пока нет.

Но вообще они реагируют.

Вообще эта ошибка не только 2гис-специфичная, искал в гугеле - возникала у кого на дропбоксе, у кого на телеграме, у кого на каких-то других Qt-приложениях, обычно проприетарных почему-то.
Arch+KDE | Manjaro+Cinnamon | Debian+cli | Kubuntu | Endian | OPNSense | Proxmox VE

Оффлайн ferty

  • Активист
  • *
  • Сообщений: 486
    • Просмотр профиля
Re: 2gis/linux в ubuntu 15.04
« Ответ #5 : 05 Июнь 2015, 19:59:22 »
Ясно, если решение будет таки найдено, просьба не забудьте огласить здесь :coolsmiley:. Буду весьма благодарен.

Оффлайн lin_user

  • Старожил
  • *
  • Сообщений: 1292
    • Просмотр профиля
Re: 2gis/linux в ubuntu 15.04
« Ответ #6 : 06 Октябрь 2015, 22:16:44 »
Больше не поддерживается и не разрабатывается http://geektimes.ru/post/263478/

 

Страница сгенерирована за 0.091 секунд. Запросов: 24.